Page MenuHomePhabricator

Improved `deploy-log` documentation, reorganized the TOC
ClosedPublic

Authored by mmodell on Nov 4 2015, 7:58 PM.

Details

Maniphest Tasks
T116638: Document Scap3 deploy-log
Reviewers
thcipriani
dduvall
demon
Commits
rMSCA9194d77e9ed1: Improved `deploy-log` documentation, reorganized the TOC
Patch without arc
git checkout -b D35 && curl -L https://phabricator.wikimedia.org/D35?download=true | git apply
Summary
  • vastly improved docs for deploy-log command.
  • use readthedocs.org theme
Test Plan

tox -e doc

Diff Detail

Repository
rMSCA Scap
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

mmodell updated this revision to Diff 114.Nov 4 2015, 7:58 PM
mmodell retitled this revision from to Improved `deploy-log` documentation, new docs skin.
mmodell updated this object.
mmodell edited the test plan for this revision. (Show Details)
mmodell added reviewers: thcipriani, dduvall.
Restricted Application added a reviewer: Release-Engineering-Team. · View Herald TranscriptNov 4 2015, 7:58 PM
dduvall added inline comments.Nov 5 2015, 6:23 PM
docs/legacy_scap_architecture.rst
7 ↗(On Diff #114)

When I run tox -e doc it complains about this for some reason.

Warning, treated as error:
/Users/dduvall/Projects/mediawiki/tools/scap-vagrant/scap/docs/legacy_scap_architecture.rst:7: WARNING: nonlocal image URI found: https://upload.wikimedia.org/wikipedia/commons/4/4d/Scap-diagram.png
docs/scripts.rst
50

Looks like the indentation/wrapping might have gotten messed up here.

mmodell marked 2 inline comments as done.Nov 5 2015, 6:49 PM
mmodell added inline comments.
docs/legacy_scap_architecture.rst
7 ↗(On Diff #114)

Well I'd rather reference the file on commons instead of including a redundant image file in the docs. If sphinx wants to complain then so be it.

docs/scripts.rst
50

how so? The indentation was intentional, to make sphinx format it differently from the rest (just for emphasis mainly)

dduvall added inline comments.Nov 5 2015, 7:14 PM
docs/legacy_scap_architecture.rst
7 ↗(On Diff #114)

That's fine if we can get tox not to choke on it, but as is it considers this (and all warnings, afaik) an error.

docs/scripts.rst
50

Oh, ok! I didn't realize that because I didn't past the tox error to actually view it. Maybe just fix the wrapping on line 47 and add a period then.

mmodell marked 2 inline comments as done.Nov 5 2015, 10:26 PM
mmodell added inline comments.
docs/legacy_scap_architecture.rst
7 ↗(On Diff #114)

It doesn't happen when I run tox :-/

mmodell updated this revision to Diff 124.Nov 6 2015, 12:33 PM
mmodell edited edge metadata.
  • reorganized
mmodell retitled this revision from Improved `deploy-log` documentation, new docs skin to Improved `deploy-log` documentation, reorganized the TOC.Nov 6 2015, 12:35 PM
mmodell edited the test plan for this revision. (Show Details)
mmodell removed a reviewer: Release-Engineering-Team.
mmodell added a project: Scap.
dduvall accepted this revision.Nov 6 2015, 6:15 PM
dduvall edited edge metadata.
This revision is now accepted and ready to land.Nov 6 2015, 6:15 PM
mmodell updated this revision to Diff 126.Nov 6 2015, 7:51 PM
mmodell edited edge metadata.

rebased

This revision now requires review to proceed.Nov 6 2015, 7:51 PM
Restricted Application added a subscriber: greg. · View Herald TranscriptNov 6 2015, 7:51 PM
mmodell updated this revision to Diff 129.Nov 6 2015, 8:24 PM
mmodell edited edge metadata.

fix TOC

mmodell updated this revision to Diff 130.Nov 6 2015, 8:26 PM

fix TOC (move cdblib under Third Party heading)

mmodell updated this revision to Diff 131.Nov 6 2015, 8:29 PM

grr. added a single ~

I am growing to hate "warning treated as error"

thcipriani accepted this revision.Nov 6 2015, 8:37 PM
thcipriani edited edge metadata.
This revision is now accepted and ready to land.Nov 6 2015, 8:37 PM
This revision was automatically updated to reflect the committed changes.